io.netty.handler.codec.redis

## Class ArrayHeaderRedisMessage

- java.lang.Object
- - io.netty.handler.codec.redis.ArrayHeaderRedisMessage

All Implemented Interfaces:
  RedisMessage

    @UnstableApi
    public class ArrayHeaderRedisMessage
    extends Object
    implements RedisMessage

Header of Redis Array Message.

### Constructor Summary

Constructors
Constructor and Description
`ArrayHeaderRedisMessage(long length)` Creates a `ArrayHeaderRedisMessage` for the given `length`.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isNull()` Returns whether the content of this message is `null`.
`long` `length()` Get length of this array object.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ArrayHeaderRedisMessage

    public ArrayHeaderRedisMessage(long length)

Creates a `ArrayHeaderRedisMessage` for the given `length`.

### Method Detail

#### length

    public final long length()

Get length of this array object.

#### isNull

    public boolean isNull()

Returns whether the content of this message is `null`.

Returns:
  indicates whether the content of this message is `null`.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`